import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertTrue;

public class CardTest {

    @Test
    public void test_getName() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        assertTrue(card.getName() != "");
    }
    @Test
    public void test_getDamage() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        assertTrue(card.getDamage() >= 0);
    }
    @Test
    public void test_getElementType() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        ElementTyp elementTyp = card.getElementTyp();
        assertTrue(elementTyp != null);
    }
    @Test
    public void test_getCardType() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        CardType cardType = card.getCardType();
        assertTrue(cardType != null);
    }
    @Test
    public void test_getEffectivenessAgainst() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        EffectivnessType effectivnessType = card.getEffectivenessAgainst();
        assertTrue(effectivnessType != null);
    }
    @Test
    public void test_setName() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        boolean result = card.setName("NeuerName");
        assertTrue(result);
    }
    @Test
    public void test_setDamage() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        boolean result = card.setDamage(100);
        assertTrue(result);
    }
    @Test
    public void test_setElementTyp() {
        Card card = new Card("Name", 10, ElementTyp.WATER, CardType.SPELL);
        boolean result = card.setElementType(ElementTyp.WATER);
        assertTrue(result);
    }
}
